Email notification
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Email notification action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "EMAIL Action",
"type": "EMAIL",
"trigger_time": "ON_EVERY_EXECUTION",
"variables": [
{
"key": "emailTitle",
"value": "Pipeline executed successfully!"
}
],
"file_attachments": [
"fs:///file1",
"fs:///file2"
],
"content": "<b>${BUDDY_PIPELINE_NAME}</b> execution #${BUDDY_RUN_ID}",
"recipients": "admin@mailinator.com\r\nmanage@mailinator.com",
"title": "$emailTitle",
"from_name": "Buddy",
"send_as_html": true,
"send_to_groups": [
"Managers",
"Developers"
]
}'STATUS200 OK